Bug Hunting Session
Bug 113336 - Crash when FILEOPEN .DOT Template
Summary: Crash when FILEOPEN .DOT Template
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: x86-64 (AMD64) Linux (All)
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-10-22 00:14 UTC by Richard
Modified: 2017-10-30 21:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Brochure (116.50 KB, application/wps-office.dot)
2017-10-22 00:14 UTC, Richard
Details
Correct pg2 (85.95 KB, image/png)
2017-10-22 00:16 UTC, Richard
Details
Brochure (116.50 KB, application/wps-office.dot)
2017-10-22 00:21 UTC, Richard
Details
gdb backtrace (34.78 KB, text/plain)
2017-10-22 12:20 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2017-10-22 00:14:23 UTC
Created attachment 137194 [details]
Brochure

When I open the Business brochure template located at https://templates.office.com/en-us/Business-brochure-Level-design-TM06087460
and close it, a dialog box opens that says LibreOffice crashed due to an unexpected error. In addition, the boat on the second page is formatted incorrectly.

Steps to Reproduce:
1. Download the Document
2. Open in LibreOffice 5.4.2.2 or version 6 alpha.
3. Close the Document or Close and Reopen the document.
4. Make a selection on the Crash Report dialog box

Actual Results:
Boat Covers middle text on pg2, LibreOffice crashes on exit.

http://crashreport.libreoffice.org/stats/crash_details/2156fece-bcc3-4062-b715-842c43896055

Expected Results:
No crashes on exit, middle section on page two carries onto the right side of the page to leave space for boat.

Locale: en-US
Module: TextDocument
OS: Linux (Lubuntu 17.10 64bit)
Comment 1 Richard 2017-10-22 00:16:13 UTC
Created attachment 137195 [details]
Correct pg2
Comment 2 Richard 2017-10-22 00:21:08 UTC
Created attachment 137196 [details]
Brochure
Comment 3 Xisco Faulí 2017-10-22 12:11:13 UTC
Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 118a0a3734a3f794c67a9d7d4376d8ed78a96fee
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

nor

Versión: 5.4.1.2
Id. de compilación: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
Subproc. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 4 Xisco Faulí 2017-10-22 12:20:58 UTC
Created attachment 137200 [details]
gdb backtrace
Comment 6 Commit Notification 2017-10-23 14:09:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fc4b3360de37d48cebaa7b7498ce544aeadc2d8

Resolves: tdf#113336 avoid crash during teardown

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-10-23 14:52:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cd91be80f82f983f414018e4e57b6d3b570064e&h=libreoffice-5-4

Resolves: tdf#113336 avoid crash during teardown

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Richard 2017-10-30 20:50:09 UTC
I can confirm that the document does not crash in the LibreOfficeDev builds that I tested. 

Version: 6.0.0.0.alpha1+
Build ID: 16598d526e9cc79698152daa5acc1e2718da933c
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-10-26_11:32:35
Locale: en-US (en_US.UTF-8); Calc: group

Version: 5.4.4.0.0+
Build ID: f95ec59f035ef1f6e9bd2a24e9d69e35edd6e089
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-10-28_03:13:07
Locale: en-US (en_US.UTF-8); Calc: group

The formatting would need to be adjusted manually.